document.addEventListener('DOMContentLoaded', () => {
  const messages = document.querySelectorAll('.typing-text p');
  let currentMessage = 0;

  function showNextMessage() {
    messages.forEach(msg => msg.style.display = 'none');
    messages[currentMessage].style.display = 'block';
    currentMessage = (currentMessage + 1) % messages.length;
  }

  showNextMessage();
  setInterval(showNextMessage, 3000);

  const pulseButton = document.querySelector('.pulse-button');
  pulseButton.addEventListener('click', () => {
    const audio = new Audio();
    audio.volume = 0.5;
    const notes = [261.63, 329.63, 392.00, 523.25];
    let i = 0;

    function playNote() {
      if (i >= notes.length) return;
      const oscillator = new (window.AudioContext || window.webkitAudioContext)().createOscillator();
      oscillator.connect(new (window.AudioContext || window.webkitAudioContext)().destination);
      oscillator.frequency.value = notes[i];
      oscillator.start();
      oscillator.stop(0.1);
      i++;
      setTimeout(playNote, 150);
    }

    playNote();
  });
});